package com.zcloud.mapper.dsno1.hidden;

import java.util.List;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

/**
 * 说明：隐患验收人员记录
 * 作者：luoxiaobao
 * 时间：2021-01-20
 * 官网：www.zcloudchina.com
 */
public interface HiddenCheckMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	PageData findByHidden(PageData pd);

	/**列表(根据公司查询)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllByCorp(PageData pd);

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteByCorp(PageData pd);

}

